# class Tk::BWidget::PanedWindow

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

add(keys={}) click to toggle source

    # File lib/tkextlib/bwidget/panedwindow.rb, line 28
    def add(keys={})
      window(tk_send('add', *hash_kv(keys)))
    end

get_frame(idx, &b) click to toggle source

    # File lib/tkextlib/bwidget/panedwindow.rb, line 32
    def get_frame(idx, &b)
      win = window(tk_send_without_enc('getframe', idx))
      if b
        if TkCore::WITH_RUBY_VM  ### Ruby 1.9 !!!!
          win.instance_exec(self, &b)
        else
          win.instance_eval(&b)
        end
      end
      win
    end

### Private Instance Methods

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/bwidget/panedwindow.rb, line 23
    def __strval_optkeys
      super() << 'activator'
    end